{ ... }:
{
  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/b8b7ed47-c98c-4a49-af01-b2832dde1287";
      fsType = "btrfs";
      options = [ "subvol=@" ];
    };
    "/home" = {
      device = "/dev/disk/by-uuid/b8b7ed47-c98c-4a49-af01-b2832dde1287";
      fsType = "btrfs";
      options = [ "subvol=@home" ];
    };
    "/nix" = {
      device = "/dev/disk/by-uuid/b8b7ed47-c98c-4a49-af01-b2832dde1287";
      fsType = "btrfs";
      options = [ "subvol=@nix" ];
    };
    "/var" = {
      device = "/dev/disk/by-uuid/acf95700-8669-45c7-9a72-bf3215b3c325";
      fsType = "btrfs";
      options = [ "subvol=@var" ];
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/CD94-1D3F";
      fsType = "vfat";
      options = [ "fmask=0022" "dmask=0022" ];
    };

    # Subvols and bindmounts
    "/persist" = {
      device = "/dev/disk/by-uuid/acf95700-8669-45c7-9a72-bf3215b3c325";
      fsType = "btrfs";
      options = [ "subvol=persist" "compress=zstd" ];
    };
    "/export/JimboNFS" = {
      depends = [ "/persist" ];
      device = "/persist/export/JimboNFS";
      fsType = "none";
      options = [ "bind" ];
    };
    "/srv/minecraft" = {
      depends = [ "/persist" ];
      device = "/persist/srv/minecraft";
      fsType = "none";
      options = [ "bind" ];
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/57178cfc-3e71-4d35-8c7f-e355f9dc84df"; }
  ];
}
